Pool Info
Returns current TVL (Total Value Locked), swap volume, Fees APR (Annual Percentage Rate), price volatility and mean adjusted volatility (percentage), tick pressure per 1M$ volume, swap count, and unique user count for a specific Alien Base V3 pool, broken down across six time ranges: 5 minutes, 1 hour, 1 day, 1 week, 1 month, and 1 year.
GET
https://api.cambrian.org/evm/alien/v3/pool
Parameters
chain_id (integer)
EVM chain ID.
pool_address* (string)
Pool address with 0x prefix
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "token0Address",
"type": "String"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1Address",
"type": "String"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "feeTier",
"type": "UInt32"
},
{
"name": "tickSpacing",
"type": "Int32"
},
{
"name": "currentLiquidity",
"type": "Int256"
},
{
"name": "currentSqrtPriceX96",
"type": "UInt256"
},
{
"name": "currentTick",
"type": "Int32"
},
{
"name": "currentPoolPrice",
"type": "Float64"
},
{
"name": "poolTvlUsd",
"type": "Nullable(Float64)"
},
{
"name": "swapVolumeUsd",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "feeApr",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "priceVolatilityPct",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "priceVolatilityAdjustedPct",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "tickPressurePer1MUsd",
"type": "Map(String,Nullable(Float64))"
},
{
"name": "swapCount",
"type": "Map(String,Nullable(UInt64))"
},
{
"name": "uniqueUserCount",
"type": "Map(String,Nullable(UInt64))"
}
],
"data": [
[
"2024-09-11T18:27:29+00:00",
"0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
"EURC",
6,
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
6,
200,
4,
"10472813",
"83719985142203796618424350737",
1102,
1.1166038416579933,
24.94295161060179,
{
"1 day": 0,
"1 hour": 0,
"1 month": 0.17189774627926308,
"1 week": 0.026490947253006915,
"1 year": 8.970544323219734,
"5 minute": 0
},
{
"1 day": 0,
"1 hour": 0,
"1 month": 0.00001653992668994629,
"1 week": 0.000011045439037542394,
"1 year": 0.00007192849076776367,
"5 minute": 0
},
{
"1 day": 0,
"1 hour": 0,
"1 month": 0.012631070205530441,
"1 week": 0.0006422233735192263,
"1 year": 0.2805980099710954,
"5 minute": 0
},
{
"1 day": 0,
"1 hour": 0,
"1 month": 0.003978659410698933,
"1 week": 0.0003027470016346306,
"1 year": 0.019597544631087326,
"5 minute": 0
},
{
"1 day": 0,
"1 hour": 0,
"1 month": 269055301.7772716,
"1 week": 66060302.91353068,
"1 year": 387267469.4898672,
"5 minute": 0
},
{
"1 day": 0,
"1 hour": 0,
"1 month": 7,
"1 week": 3,
"1 year": 205,
"5 minute": 0
},
{
"1 day": 0,
"1 hour": 0,
"5 minute": 0
}
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Get pool info for an Alien Base V3 EURC/USDC pool
This retrieves current and historical metrics for a specific Alien Base V3 pool on Base (chain ID 8453) using its pool address.
curl
curl -X GET "https://api.cambrian.org/evm/alien/v3/pool?pool_address=0x63170b42585b86e3c439820ade18fbd07a8933cd" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "createdAt",
6 "type": "DateTime('UTC')"
7 },
8 {
9 "name": "token0Address",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1Address",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "feeTier",
34 "type": "UInt32"
35 },
36 {
37 "name": "tickSpacing",
38 "type": "Int32"
39 },
40 {
41 "name": "currentLiquidity",
42 "type": "Int256"
43 },
44 {
45 "name": "currentSqrtPriceX96",
46 "type": "UInt256"
47 },
48 {
49 "name": "currentTick",
50 "type": "Int32"
51 },
52 {
53 "name": "currentPoolPrice",
54 "type": "Float64"
55 },
56 {
57 "name": "poolTvlUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "swapVolumeUsd",
62 "type": "Map(String,Nullable(Float64))"
63 },
64 {
65 "name": "feeApr",
66 "type": "Map(String,Nullable(Float64))"
67 },
68 {
69 "name": "priceVolatilityPct",
70 "type": "Map(String,Nullable(Float64))"
71 },
72 {
73 "name": "priceVolatilityAdjustedPct",
74 "type": "Map(String,Nullable(Float64))"
75 },
76 {
77 "name": "tickPressurePer1MUsd",
78 "type": "Map(String,Nullable(Float64))"
79 },
80 {
81 "name": "swapCount",
82 "type": "Map(String,Nullable(UInt64))"
83 },
84 {
85 "name": "uniqueUserCount",
86 "type": "Map(String,Nullable(UInt64))"
87 }
88 ],
89 "data": [
90 [
91 "2024-09-11T18:27:29+00:00",
92 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
93 "EURC",
94 6,
95 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
96 "USDC",
97 6,
98 200,
99 4,
100 "10472813",
101 "83719985142203796618424350737",
102 1102,
103 1.1166038416579933,
104 24.94295161060179,
105 {
106 "1 day": 0,
107 "1 hour": 0,
108 "1 month": 0.17189774627926308,
109 "1 week": 0.026490947253006915,
110 "1 year": 8.970544323219734,
111 "5 minute": 0
112 },
113 {
114 "1 day": 0,
115 "1 hour": 0,
116 "1 month": 0.00001653992668994629,
117 "1 week": 0.000011045439037542394,
118 "1 year": 0.00007192849076776367,
119 "5 minute": 0
120 },
121 {
122 "1 day": 0,
123 "1 hour": 0,
124 "1 month": 0.012631070205530441,
125 "1 week": 0.0006422233735192263,
126 "1 year": 0.2805980099710954,
127 "5 minute": 0
128 },
129 {
130 "1 day": 0,
131 "1 hour": 0,
132 "1 month": 0.003978659410698933,
133 "1 week": 0.0003027470016346306,
134 "1 year": 0.019597544631087326,
135 "5 minute": 0
136 },
137 {
138 "1 day": 0,
139 "1 hour": 0,
140 "1 month": 269055301.7772716,
141 "1 week": 66060302.91353068,
142 "1 year": 387267469.4898672,
143 "5 minute": 0
144 },
145 {
146 "1 day": 0,
147 "1 hour": 0,
148 "1 month": 7,
149 "1 week": 3,
150 "1 year": 205,
151 "5 minute": 0
152 },
153 {
154 "1 day": 0,
155 "1 hour": 0,
156 "5 minute": 0
157 }
158 ]
159 ],
160 "rows": 1
161 }
162]
2 {
3 "columns": [
4 {
5 "name": "createdAt",
6 "type": "DateTime('UTC')"
7 },
8 {
9 "name": "token0Address",
10 "type": "String"
11 },
12 {
13 "name": "token0Symbol",
14 "type": "String"
15 },
16 {
17 "name": "token0Decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "token1Address",
22 "type": "String"
23 },
24 {
25 "name": "token1Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token1Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "feeTier",
34 "type": "UInt32"
35 },
36 {
37 "name": "tickSpacing",
38 "type": "Int32"
39 },
40 {
41 "name": "currentLiquidity",
42 "type": "Int256"
43 },
44 {
45 "name": "currentSqrtPriceX96",
46 "type": "UInt256"
47 },
48 {
49 "name": "currentTick",
50 "type": "Int32"
51 },
52 {
53 "name": "currentPoolPrice",
54 "type": "Float64"
55 },
56 {
57 "name": "poolTvlUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "swapVolumeUsd",
62 "type": "Map(String,Nullable(Float64))"
63 },
64 {
65 "name": "feeApr",
66 "type": "Map(String,Nullable(Float64))"
67 },
68 {
69 "name": "priceVolatilityPct",
70 "type": "Map(String,Nullable(Float64))"
71 },
72 {
73 "name": "priceVolatilityAdjustedPct",
74 "type": "Map(String,Nullable(Float64))"
75 },
76 {
77 "name": "tickPressurePer1MUsd",
78 "type": "Map(String,Nullable(Float64))"
79 },
80 {
81 "name": "swapCount",
82 "type": "Map(String,Nullable(UInt64))"
83 },
84 {
85 "name": "uniqueUserCount",
86 "type": "Map(String,Nullable(UInt64))"
87 }
88 ],
89 "data": [
90 [
91 "2024-09-11T18:27:29+00:00",
92 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
93 "EURC",
94 6,
95 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
96 "USDC",
97 6,
98 200,
99 4,
100 "10472813",
101 "83719985142203796618424350737",
102 1102,
103 1.1166038416579933,
104 24.94295161060179,
105 {
106 "1 day": 0,
107 "1 hour": 0,
108 "1 month": 0.17189774627926308,
109 "1 week": 0.026490947253006915,
110 "1 year": 8.970544323219734,
111 "5 minute": 0
112 },
113 {
114 "1 day": 0,
115 "1 hour": 0,
116 "1 month": 0.00001653992668994629,
117 "1 week": 0.000011045439037542394,
118 "1 year": 0.00007192849076776367,
119 "5 minute": 0
120 },
121 {
122 "1 day": 0,
123 "1 hour": 0,
124 "1 month": 0.012631070205530441,
125 "1 week": 0.0006422233735192263,
126 "1 year": 0.2805980099710954,
127 "5 minute": 0
128 },
129 {
130 "1 day": 0,
131 "1 hour": 0,
132 "1 month": 0.003978659410698933,
133 "1 week": 0.0003027470016346306,
134 "1 year": 0.019597544631087326,
135 "5 minute": 0
136 },
137 {
138 "1 day": 0,
139 "1 hour": 0,
140 "1 month": 269055301.7772716,
141 "1 week": 66060302.91353068,
142 "1 year": 387267469.4898672,
143 "5 minute": 0
144 },
145 {
146 "1 day": 0,
147 "1 hour": 0,
148 "1 month": 7,
149 "1 week": 3,
150 "1 year": 205,
151 "5 minute": 0
152 },
153 {
154 "1 day": 0,
155 "1 hour": 0,
156 "5 minute": 0
157 }
158 ]
159 ],
160 "rows": 1
161 }
162]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/alien/v3/pool"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/alien/v3/pool"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/alien/v3/pool")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/alien/v3/pool")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request